Bug 1094553 - timeouts not enforced when beaker-provision is fetching images for configure_netboot
Summary: timeouts not enforced when beaker-provision is fetching images for configure_...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: lab controller
Version: 0.16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.17.1
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-06 03:04 UTC by Dan Callaghan
Modified: 2018-02-06 00:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-18 08:17:46 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2014-05-06 03:04:23 UTC
beaker-provision does not enforce any read timeout when fetching images for the configure_netboot command.

That means if the HTTP server is misbehaving and never returns a response, the configure_netboot command could end up stuck in limbo until beaker-provision is restarted.

Comment 2 Dan Callaghan 2014-06-25 03:34:12 UTC
On Gerrit: http://gerrit.beaker-project.org/3171

Comment 4 Dan Callaghan 2014-06-26 06:25:38 UTC
Verifying this outside of devel is quite difficult. You would need to edit a distro tree's URLs to point at a custom HTTP server which accepts requests but then waits forever without sending a response or closing the connection. The expected result is that beaker-provision eventually reports that the command failed with "urlopen timed out".

There is a reproducer in the test suite, using a fake HTTP server. I don't think it's worth trying to verify the fix by hand in a real environment.

Comment 6 Dan Callaghan 2014-07-18 08:17:46 UTC
Beaker 0.17.1 has been released.


Note You need to log in before you can comment on or make changes to this bug.